Subject: RE: [Idr] draft-keyur-prefixlimit-orf-00

From: "Susan Hares" <[email-masked]>
Date: Wed, 28 Apr 2004 12:58:17 -0400

John:

Read document before I sent the message. 

Complexity came in -01 came in allowing ORFs
as well as the global limits.  We set it 
up as an option and worked out the coordination deals

So, we'll just trying to allow both methods.

Capabilities and Dynamic capabilities provide
a simple way to determine the 3 prefix limits:
warning, stop receiving and disconnect per peer.
The support of dynamic allows re-negotiation easily on
a connection basis. 

ORFs is too heavy weighted for that simple focus. 
If we are trying to travel light, ORFs are like
adding a 2 ton weight to your baggage. 

Sue

-----Original Message-----
From: John G. Scudder [mailto:[email-masked]]
Sent: Wednesday, April 28, 2004 12:50 PM
To: Susan Hares
Cc: [email-masked]
Subject: RE: [Idr] draft-keyur-prefixlimit-orf-00

Sue,

Sorry you feel that way.  As you might imagine, I 
have a different perspective, which is that I 
tried to suggest a way to simplify the 
specification, but instead found the -01 version 
to be more complex.  Since I clearly didn't 
communicate the idea effectively enough at the 
Minneapolis meeting it seemed like it would be 
more productive to express it in the form of a 
fully written specification instead of a list of 
comments.

If you haven't read 
draft-keyur-prefixlimit-orf-00 then please do 
(it's short).  If having read it you do think 
that it's more complex, I'd love to discuss the 
reasons.  Of course, I would also like to hear 
what other members of the WG think.

We'd be happy to make reasonable changes to the 
acknowledgement section if you'd like to 
communicate what the problem is, either on or off 
list.

Respectfully,

--John

At 12:36 PM -0400 4/28/04, Susan Hares wrote:
>John:
>
>Well this is amazing.  Since you suggested the complexity...
>Perhaps you changed your mind.
>
>We put the complex ORF policy in because you state
>Cisco did not support dynamic configuration.
>In simplifying this, I do not find people wanting to
>go to an ORF policy. 
>
>Sue
>
>PS - your acknowledgement section is problematic.
>
>-----Original Message-----
>From: John G. Scudder [mailto:[email-masked]]
>Sent: Wednesday, April 28, 2004 11:19 AM
>To: [email-masked]
>Subject: [Idr] draft-keyur-prefixlimit-orf-00
>
>
>Folks,
>
>As others have noted, while the underlying goal of
>draft-chavali-bgp-prefixlimit-01 seems worthwhile, we think the
>actual mechanisms proposed are more complex than is necessary.
>
>We've written another draft which we think provides the needed
>functionality with less complexity, along the lines of what I
>suggested at the meeting in Minneapolis.  In summary we introduce a
>new ORF-type which carries a 32 bit prefix limit, and also use the
>PERMIT/DENY flag to signal whether enforcement of the limit will be
>done by dropping the session or not.  The draft is a tad over four
>pages plus six pages of IETF boilerplate.
>
>The draft has been submitted as an I-D.  Until it's available in the
>usual places, you can find it at
>ftp://ftpeng.cisco.com/jgs/draft-keyur-prefixlimit-orf-00.txt
>
>Discussion of the draft would be welcome.
>
>Thanks,
>
>--John
>
>_______________________________________________
>Idr mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/idr

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr